using System;

internal sealed class Delegate627 : MulticastDelegate
{
	public extern Exception Invoke(object object_0);

	public static Exception smethod_0(object object_0, Delegate627 delegate627_1)
	{
		return delegate627_1(object_0);
	}

	public extern Delegate627(object object_0, IntPtr intptr_0);

	static Delegate627()
	{
		Class10.smethod_13(typeof(Delegate627).TypeHandle);
	}

	internal static Delegate627 delegate627_0;
}
